Skip to main content
POST
/
clients
/
me
/
integrations
/
noah
/
payins
/
simulate
Simulate fiat deposit
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/noah/payins/simulate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "paymentMethodId": "<string>",
  "fiatAmount": "<string>",
  "fiatCurrency": "<string>"
}
'
{
  "data": {
    "fiatDepositId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Body

application/json
paymentMethodId
string
required

Noah payment method ID.

fiatAmount
string
required

Positive fiat amount to simulate.

fiatCurrency
string
required

ISO-4217 fiat currency code.

Response

Fiat deposit simulated successfully

data
object